#### D.6.2.2 removepower

Procedure from library `arcpoint.lib` (see arcpoint_lib).

Usage:
  removepower(I); I ideal

Return:
  ideal defining the same zeroset as I: if any generator of I is a power of one single variable, replace it by the respective variable

Example:

    LIB "arcpoint.lib";
    ring r=0,(x,y,z),dp;
    ideal I = x3,y+z2-x2;
    I;
    ==> I[1]=x3
    ==> I[2]=-x2+z2+y
    removepower(I);
    ==> _[1]=x
    ==> _[2]=-x2+z2+y

See also: idealsimplify.

User manual for Singular version 4.4.1, 2025, generated by texi2html.